Actualisations pour opsi 4.1 / 4.2 stable et testing

Ce forum est dédié au nouveautés, événements autour du projet Opsi
Antworten
otto
Beiträge: 154
Registriert: 08 Aug 2017, 12:16

Actualisations pour opsi 4.1 / 4.2 stable et testing

Beitrag von otto »

Chers utilisateurs d'opsi,

nous publions des nouveaux paquets pour opsi 4.2 dans stable et testing. Les points plus essentiels dans cette version:

Jusqu'à maintenant zync2 a été utilisé pour le transfert des données des dépôts HTTPS parce que le zsync "original" ne soutient pas HTTPS.
À cause des problèmes - surtout avec les proxys HTTP y nous remplaçons zsyunc2 par zsync-curl.
Pour çela, nous mettons à disposition des paquets zsync-curl pout toutes les distributions.
Nos paquets zsync-curl mettent à disposition les binaries zsync et zsyncmake. C'est pourquoi zsync-curl est en conflit avec zsync, qui contient les mêmes binaries.
À cause des dépendances changées il faut faire un "apt dist-upgrade" sous Debian / Ubuntu.

L'actualisation l-debuntu soutient désormais aussi des actualisations mint.

=====================================
Paquets actualisés dans Testing:
=====================================

Linux Localboot:

* l-debuntu-upgrade 4.2.0.1-1

Windows Netboot:

* wipedisk 2.3-1

Linux Netboot:

* debian/ubuntu 4.2.0.3-2
* wipedisk 2.3-1

opsi serveur:

* opsiconfd 4.2.0.244-1
* opsi-utils 4.2.0.159-1
* zsync-curl 0.6.2-3

=====================================
Paquets actualisés dans Stable:
=====================================

Linux Netboot:

* debian9/10/11 4.2.0.1-7
* ubuntu18-04/20-04 4.2.0.1-7

opsi serveur:

* opsi-linux-bootimage 20220217-1

Cordialement,
Nils Dörrer


Changelogs:

Code: Alles auswählen

debian/ubuntu (4.2.0.3-2) testing; urgency=low

  * ubuntu.py: only setting locales for en and from language property

 -- Mathias Radtke <m.radtke@uib.de> Mon Feb 28 10:11:00 2022 +0200

debian/ubuntu (4.2.0.3-1) testing; urgency=low

  * opsipreparelib: wiping offsets when calling lcreate
  * 01_quota.sh: calling with quotaon -Pv
  * ubunut.py: corrected quota handling
  * cleanup of unused and commented code

 -- Mathias Radtke <m.radtke@uib.de> Mon Feb 14 13:27:00 2022 +0200

--------------------------------
debian9/10/11 (4.2.0.1-7) testing; urgency=low

  * updated desktop packages in property desktop_package
  * preseed: adding user to wheel

 -- Mathias Radtke <m.radtke@uib.de> Tue Feb 15 09:20:00 +0200

--------------------------------

ubuntu18-04/20-04 (4.2.0.1-7) testing; urgency=low

  * fixed keymap when using different locale

 -- Mathias Radtke <m.radtke@uib.de> Tue, Nov 30 14:40:00 2021 +0200

---------------------------------

wipedisk (2.3-1) testing; urgency=low

  * checking if NVME can be wiped
  * running sgdisk --zap-all anyway

 -- Mathias Radtke <m.radtke@uib.de> Tue Mar 01 2022 09:45:00 +0200

----------------------------------

l-debuntu-upgrade (4.2.0.1-1) stable; urgency=low

  * added support for LinuxMint upgrades

 -- Mathias Radtke <m.radtke@uib.de> Mon, 21 Feb 2021 14:00:00 +0200

----------------------------------

opsi-linux-bootimage (20220217-1) testing; urgency=low

  * kernel 5.16.10

 -- Mathias Radtke <m.radtke@uib.de> Thu, 17 Feb 2022 08:23:00 +0200

----------------------------------

opsiconfd (4.2.0.244-1) stable; urgency=medium

  * Bugfix:  Fix reading RedisTimeSeries data

 -- uib GmbH <info@uib.de>  Fri, 25 Feb 2022 12:19:58 +0100

opsiconfd (4.2.0.243-1) stable; urgency=medium

  * Improvement:  Update python-opsi-common (4.2.0.276 -> 4.2.0.277)

 -- uib GmbH <info@uib.de>  Fri, 25 Feb 2022 00:15:52 +0000

opsiconfd (4.2.0.242-1) stable; urgency=medium

  * Improvement:  Add licensing tab
  * Improvement:  Impove grafana setup
  * Improvement:  Update python-opsi-common (4.2.0.275 -> 4.2.0.276)
  * Bugfix:  Fix creating grafana dashboard user

 -- uib GmbH <info@uib.de>  Thu, 24 Feb 2022 21:41:43 +0100

opsiconfd (4.2.0.241-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 24 Feb 2022 10:06:04 +0000

opsiconfd (4.2.0.240-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Wed, 23 Feb 2022 12:54:12 +0000

----------------------------------

opsi-utils (4.2.0.160-1) stable; urgency=medium

  * Improvement:  Update python-opsi-common (4.2.0.276 -> 4.2.0.277)

 -- uib GmbH <info@uib.de>  Fri, 25 Feb 2022 01:20:28 +0100

opsi-utils (4.2.0.158-1) stable; urgency=medium

  * Improvement:  Update python-opsi-common (4.2.0.275 -> 4.2.0.276)

 -- uib GmbH <info@uib.de>  Thu, 24 Feb 2022 15:44:59 +0100

opsi-utils (4.2.0.157-1) stable; urgency=medium

  * Improvement:  Updating python-opsi (4.2.0.274 -> 4.2.0.275)

 -- uib GmbH <info@uib.de>  Thu, 24 Feb 2022 11:02:12 +0100
Antworten